#include "io_init.h"


void io_init (void)
{
	//Pin fr CS auf Ausgang setzen und high setzen
	P0_9_set_mode(OUTPUT_PP_GP);
	P0_9_set();
	
	//Pins fr LED 1 & 2 auf Ausgang schalten
	P1_0_set_mode(OUTPUT_PP_GP);
	P1_1_set_mode(OUTPUT_PP_GP);
	
	//Pins fr UART auf Ausgang schalten
	P2_1_enable_digital();
	P2_2_enable_digital();
	
	//Pin fr DRDY auf Input schalten
	P0_14_set_mode(INPUT);
	
	//Pin fr Taster auf Digitalen Input schalten
	P2_11_enable_digital();
	P2_11_set_mode(INPUT);
	
	//Pin fr RESET auf Digitalen Ausgang setzen
	P2_0_enable_digital();
	P2_0_set_mode(OUTPUT_PP_GP);
	P2_0_set();
	
	//Pin fr START auf Digitalen Ausgang setzen
	P2_6_enable_digital();
	P2_6_set_mode(OUTPUT_PP_GP);
	P2_6_reset();
	
	//Pin fr PWDN auf Ausgang setzen
	P0_15_set_mode(OUTPUT_PP_GP);
	P0_15_set();
	
	//Pin fr MOSI auf Ausgang setzen
	P0_7_set_mode(OUTPUT_PP_GP);
	
	//Pin fr SCLK auf Ausgang setzen
	P0_8_set_mode(OUTPUT_PP_GP);
	P0_8_reset();
	
	//Pin fr MISO auf Eingang setzen
	P0_6_set_mode(INPUT);	
	
}
