#include "scheduler.h"


int sample_counter;
int led_counter;
int UART_poll_counter;

int sample_period;
int led_sequenz;


void SysTick_Handler(void)
{
	P1_1_set();
	//UART Bytes Empfangen - hchste Prioritt
	if(UART_poll_counter == 20)
	{
		uart_poll();
		UART_poll_counter = 0;
	}
	
	
	//Neues Sample senden - hohe Prioritt
	if(sample_counter == 20)
	{
		sample_counter = 0;
		if(enable_sampling == true)
		{
			send_sample();
		}
	}
	
	
	//Led Blinken lassen - niedrigste Prioritt
	if(led_counter == 300)
	{
		led_sequenzer();
		led_counter = 0;
	}
	
	UART_poll_counter ++;
	led_counter ++;
	sample_counter ++;
	
	P1_1_reset();
}


void led_sequenzer(void)
{
	switch(led_sequenz)
	{
		case 0:
			switch(status)
			{
				case 0:
					P1_0_set();
					break;
				case 1:
					P1_0_set();
					break;
				case 2:
					P1_0_toggle();
					break;
				case 3:
					P1_0_toggle();
					break;
			}
			break;
		case 1:
			switch(status)
			{
				case 0:
					P1_0_reset();
					break;
				case 1:
					P1_0_set();
					break;
				case 2:
					break;
				case 3:
					P1_0_toggle();
					break;
			}
			break;
		case 2:
			switch(status)
			{
				case 0:
					P1_0_reset();
					break;
				case 1:
					P1_0_set();
					break;
				case 2:
					break;
				case 3:
					P1_0_toggle();
					break;
			}
			break;
		case 3:
			switch(status)
			{
				case 0:
					P1_0_reset();
					break;
				case 1:
					P1_0_set();
					break;
				case 2:
					break;
				case 3:
					P1_0_toggle();
					break;
			}
			break;	
	}
	
	if(led_sequenz >= 3)
	{
		led_sequenz = 0;
	}
	else
	{
		led_sequenz ++;
	}
}
